DISPDATA_REGISTER_WINDOW_DESTROY_FUNC(3)

EXPERIMENTAL_FUNC
dispdata_register_window_destroy_func - Register destroy callback.

SYNOPSIS
#include <karma_dispdata.h>

KCallbackFunc dispdata_register_window_destroy_func

(KDisplayDataWindow window, void (*func) (), void *info)

DESCRIPTION
This routine will register a destroy function for a display data window. The function will be called when the window is destroyed. Many destroy functions may be registered per window. The first function registered is the first function called upon destruction.

window
    The KDisplayDataWindow.

func
    The function that is called when the window is destroyed. The prototype function is <-dispdata_PROTO_destroy_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/